This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 109928 - rpm segfaults with --relocate
rpm segfaults with --relocate
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-12 20:55 EST by Michal Jaegermann
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-28 09:09:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2003-11-12 20:55:54 EST
Description of problem:
I tried to install the latest java from java.sun.com using the
following command:

  rpm -Uvh --relocate=/usr=/opt j2re-1_4_2_02-linux-i586.rpm

and this promptly ended with "Segmentation violation".  Neither
'-v' nor strace were particularly illuminating.  The later was
copious and ended up with:
.....
gettimeofday({1068679773, 21745}, NULL) = 0
gettimeofday({1068679773, 21784}, NULL) = 0
gettimeofday({1068679773, 21819}, NULL) = 0
munmap(0xbf315000, 8192)                = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++

This "trick" with --relocate and j2re actually did work previously
on the same machine but with an RH9 installation.  When I left
'--relocate=...' from the command above the whole thing
did install.


Version-Release number of selected component (if applicable):
rpm-4.2.1-0.30

How reproducible:
Bombs every time
Comment 1 Jeff Johnson 2003-12-27 15:40:16 EST
Can you supply a ptr (i.e. URL) to the package so that
I can attempt to reproduce? Thanks.
Comment 2 Michal Jaegermann 2003-12-28 00:59:08 EST
Presumably still at http://java.sun.com/j2se/1.4.2/download.html
with download and installation steps (no relocation though)
described for example here:
http://www.redhat.com/archives/fedora-test-list/2003-November/msg00856.html
Comment 3 Jeff Johnson 2003-12-28 09:09:17 EST
I see a packaging problem but no segfault using rpm-4.2.2:

[root@localhost tmp]# rpm -Uvh --relocate /usr=/opt
j2re-1_4_2_03-linux-i586.rpmPreparing...               
########################################### [100%]
   1:j2re                  
########################################### [100%]
Error: unpack command could not be found. Please refer to the
TroubleShooting Section of the Installation Instructions on the
download page.Please do not attempt to install this archive file.
error: %post(j2re-1.4.2_03-fcs) scriptlet failed, exit status 2
[root@localhost tmp]# rpm -e j2re --noscripts [root@localhost tmp]#
rpm -Uvh --nopost --relocate /usr=/opt j2re-1_4_2_03-linux-i586.rpm
Preparing...               
########################################### [100%]
   1:j2re                  
########################################### [100%]
Comment 4 Michal Jaegermann 2003-12-28 13:31:13 EST
Errors in %post scripts, which are not too smart, were not the issue
here.  OTOH you are using different version of rpm then the one
distributed with FC1 and I am not aware of any updates.

Note You need to log in before you can comment on or make changes to this bug.